# Method: projects.locations.insightTypes.getConfig

- [HTTP request](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/projects.locations.insightTypes/getConfig#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/projects.locations.insightTypes/getConfig#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/projects.locations.insightTypes/getConfig#body.request_body)
- [Response body](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/projects.locations.insightTypes/getConfig#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/projects.locations.insightTypes/getConfig#body.aspect)

Gets the requested InsightTypeConfig. There is only one instance of the config for each InsightType.

### HTTP request

`GET https://recommender.googleapis.com/v1beta1/{name=projects/*/locations/*/insightTypes/*/config}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the InsightTypeConfig to get. Acceptable formats: - `projects/[PROJECT_NUMBER]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config` - `projects/[PROJECT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config` - `organizations/[ORGANIZATION_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config` - `billingAccounts/[BILLING_ACCOUNT_ID]/locations/[LOCATION]/insightTypes/[INSIGHT_TYPE_ID]/config` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/recommender/docs/reference/rest/v1beta1/InsightTypeConfig`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://cloud.google.com/docs/authentication/).